LOGIN ID Password Auto Login Register Now! Lost Password?
Xoops Q&A

Gnaviの地図にズームボタン等が表示されない

  • このフォーラムに新しいトピックを立てることはできません
  • このフォーラムではゲスト投稿が禁止されています

投稿ツリー


前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/9/24 18:10
rohi  1st Class 居住地: ☆  投稿数: 37
いつもお世話になっております。

自サイトのGnaviモジュールにおいて、地図にズームボタンや航空写真への切り替えボタンが表示されなくなりました。
7月22日に投稿したときには表示されていたので事象の発生はそれ以降かと思われます。

Gnaviモジュールを使用している他のサイトさんも見てみましたがどのサイトさんも同様の事象が発生しているようです。
Googleマップ側に何らかの変更があったのでしょうか?

自サイトの環境は以下になります。
XOOPS X(XOOPS Cube Legacy 2.2.3 Beta 1)
PHP 5.3.28
MySQL 5.0.92
Apache 2.2.27
Gnavi 1.03.3(同じサーバ上の別サイトは1.03.1で、こちらも同様の事象発生)

よろしくお願い申し上げます。
投票数:0 平均点:0.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/9/25 11:43 | 最終変更
nao-pon  Lieutenant   投稿数: 486
rohi さん、こんにちは。

こちらでも同様の現象を確認しました。

調べてみたところ、GoogleMapsAPI の JavaScript を呼び出す時に API のバージョン指定をしないとこのような現象になることが分かりました。

APIバージョン指定をしない場合は "v=3" と指定したとみなされるはずなのですが、"v=3" を指定しないとこの問題が生じるようになってしまったようで、Google 側の問題かも知れません。

とりあえず、GNavi 1.04.0 にて、APIバージョンを指定するように変更しました。ついでに、管理画面より細かいバージョンを指定できるようになっています。

規定値は "3" (現在のリリースバージョン) ですが "3.17" のように特定のバージョンを指定できます。

APIバージョンについては、 https://code.google.com/p/gmaps-api-issues/wiki/JavascriptMapsAPIv3Changelog などが参考になります。
投票数:0 平均点:0.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014/9/25 18:07
rohi  1st Class 居住地: ☆  投稿数: 37
nao-ponさん、こんにちは。

GNavi 1.04.0にアップデートしたところ、ズームボタンや航空写真への切り替えボタンが表示されるようになりました。

原因はAPIバージョン指定にあったのですね。

Gnaviが復旧して助かります。

どうもありがとうございました!
投票数:0 平均点:0.00
  条件検索へ

Back to Page Top
MainMenu
Manuals
Search
XOOPS Official & Dev.
XOOPS Communities